play_sample(3)

NAME
play_sample - Plays a sample. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int play_sample(const SAMPLE *spl, int vol, int pan, int freq, int loop);

DESCRIPTION
Triggers a sample at the specified volume, pan position, and frequency. The parameters `vol' and `pan' range from 0 (min/left) to 255 (max/right). Frequency is relative rather than absolute: 1000 represents the frequency that the sample was recorded at, 2000 is twice this, etc. If `loop' is not zero, the sample will repeat until you call stop_sample(), and can be manipulated while it is playing by calling adjust_sample(). Example:
   /* Scream from the left speaker, twice the freq. */
   int sound = play_sample(scream, 255, 0, 2000, 0);

RETURN VALUE
Returns the voice number that was allocated for the sample or negative if no voices were available.

SEE ALSO
install_sound(3), load_sample(3), adjust_sample(3), stop_sample(3), exsample(3), exsprite(3)